<div class="box" dir="rtl">
  <div class="title">
    <p>
      <a routerLink="/home">
        <fa-icon [icon]="faHome"></fa-icon>
      </a>
      <span> / </span>ثبت نام در اتحاد زیست شناسان
    </p>
  </div>
  <div class="form">
    <form action="" [formGroup]="registerForm" (ngSubmit)="register()">
      <!-- email div -->
      <div class="email">
        <input
          id="email"
          name="email"
          formControlName="email"
          type="email"
          placeholder="ایمیل خود را وارد نمایید"
          dir="ltr"
          required
          autocomplete="off"
          (ngModelChange)="checkEmail()"
        />
      </div>

      <!-- password div -->
      <div class="password">
        <div>
          <input
            (ngModelChange)="checkPassowrd()"
            formControlName="password"
            type="password"
            name="password"
            id="password"
            placeholder="رمز عبور خود را وارد نمایید"
            dir="ltr"
            required
            autocomplete="off"
          />
        </div>
        <div>
          <input
            (ngModelChange)="checkPassowrd()"
            formControlName="confirmedPassword"
            type="password"
            name="confirmedPassword"
            id="confirmedPassword"
            placeholder="رمز عبور خود را تکرار کنید"
            dir="ltr"
            autocomplete="off"
            required
          />
        </div>
        <p *ngIf="!passwordHaveNumber && registerFormControls.password.touched">
          - از حروف و اعداد در رمز باید استفاده شود.
        </p>
      </div>

      <!-- name and family -->
      <div class="name">
        <!-- name div -->
        <div>
          <input
            type="text"
            name="name"
            id="name"
            formControlName="name"
            placeholder="نام خود را وارد کنید"
            dir="rtl"
            required
            autocomplete="off"
          />
        </div>
        <!-- family -->
        <div>
          <input
            type="text"
            name="family"
            id="family"
            formControlName="family"
            placeholder="نام خانوادگی خود را وارد کنید"
            dir="rtl"
            required
            autocomplete="off"
          />
        </div>
      </div>

      <!-- select -->
      <div class="select">
        <!-- province -->
        <div class="province">
          <input
            type="text"
            formControlName="province"
            name="provinceList"
            class="select-input"
            placeholder="انتخاب استان"
            autocomplete="off"
            (ngModelChange)="filterProvince()"
          />
          <ul class="dropdown" id="provinceList">
            <li
              *ngFor="let province of filteredProvinces"
              (click)="setProvinceValue(province)"
            >
              {{ province.name }}
            </li>
          </ul>
        </div>

        <!-- city -->
        <div class="city">
          <input
            type="text"
            formControlName="city"
            name="cityList"
            class="select-input"
            placeholder="انتخاب شهر"
            autocomplete="off"
            (ngModelChange)="filterCity()"
          />
          <ul class="dropdown" id="cityList">
            <li
              *ngFor="let city of filteredCities"
              (click)="setCityValue(city)"
            >
              {{ city.name }}
            </li>
          </ul>
        </div>

        <!-- role -->
        <div class="role">
          <input
            type="text"
            formControlName="role"
            name="roleList"
            class="select-input"
            placeholder="انتخاب نوع کاربری"
            autocomplete="off"
            (ngModelChange)="filterRole()"
          />
          <ul class="dropdown" id="roleList">
            <li *ngFor="let role of filteredRoles" (click)="setRoleValue(role)">
              {{ role.name }}
            </li>
          </ul>
        </div>
      </div>

      <!-- phone number div -->
      <div class="phone-number">
        <input
          type="number"
          name="phoneNumber"
          id="phoneNumber"
          formControlName="phoneNumber"
          dir="ltr"
          placeholder="شماره موبایل خود را وارد کنید : 09123456789"
          required
          autocomplete="off"
          (ngModelChange)="checkPhoneNumber()"
        />
        <p
          *ngIf="
            !phoneNumberIsValid && registerFormControls.phoneNumber.touched
          "
        >
          - شماره موبایل را به درستی وارد نمایید.
        </p>
      </div>

      <div class="errors" *ngIf="registerError">
        <div>- این ایمیل قبلا ثبت شده است.</div>
      </div>
      <div class="errors" *ngIf="!registerForm.valid && registerForm.touched">
        <div
          *ngIf="
            registerFormControls.email.invalid &&
            registerFormControls.email.touched
          "
        >
          - ایمیل را به درستی وارد کنید.
        </div>
        <div
          *ngIf="
            (registerFormControls.password.touched ||
              registerFormControls.confirmedPassword.touched) &&
            !passwordIsMatch
          "
        >
          - رمز عبور یکسان نیست.
        </div>
        <div
          *ngIf="
            registerFormControls.password.touched &&
            registerFormControls.password.invalid
          "
        >
          - رمز عبور الزامی است.
        </div>
        <div
          *ngIf="
            registerFormControls.password.touched &&
            registerFormControls.password.invalid
          "
        >
          - رمز عبور حداقل باید 8 کاراکتری باشد.
        </div>

        <div
          *ngIf="
            registerFormControls.name.touched &&
            registerFormControls.name.invalid
          "
        >
          - نام خود را وارد کنید.
        </div>
        <div
          *ngIf="
            registerFormControls.family.touched &&
            registerFormControls.family.invalid
          "
        >
          - نام خانوادگی خود را وارد کنید.
        </div>
        <div
          *ngIf="
            registerFormControls.province.touched &&
            registerFormControls.province.invalid
          "
        >
          - استان خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            registerFormControls.city.touched &&
            registerFormControls.city.invalid
          "
        >
          - شهر خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            registerFormControls.role.touched &&
            registerFormControls.role.invalid
          "
        >
          - نوع کاربری خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            registerFormControls.phoneNumber.touched &&
            registerFormControls.phoneNumber.invalid
          "
        >
          - شماره موبایل خود را وارد کنید.
        </div>
      </div>
      <div class="errors" *ngIf="connectionError">
        <div>- خطا در ارتباط با سرور.</div>
      </div>
      <div class="login-btn">
        <button
          type="submit"
          [disabled]="
            !registerForm.valid || !passwordHaveNumber || !phoneNumberIsValid
          "
        >
          <img
            src="../../../assets/images/icon png/log_in_entry_in_sign_in_arrow-512.png"
            alt=""
          />
          <span>مرحله بعدی</span>
        </button>
      </div>
    </form>
  </div>
  <div class="bottom">
    <a routerLink="/login">ورود به اتحاد زیست شناسان</a>
  </div>
</div>
